\input{../include/schemes-ideal}
\input{../include/schemes}
\begin{document}
\begin{tikzpicture}[
    submatrix/.style = {draw = black, line width = \submatrixlinewidth},
    submatrixlabel/.style = {
      draw = black, fill = white, anchor = center, align = center,
      scale = \labelscale, inner sep = \labelinnersep,
      line width = \labellinewidth
    }
  ]
  % Top green and red lines.
  \draw[
    draw = green, line width = \sidelinewidth
  ] (-1.55 * \drawscale, 1.7 * \drawscale) node{}
  -- (0.47 * \drawscale, 1.7 * \drawscale);
  \draw[
    draw = red, line width = \sidelinewidth
  ] (0.55 * \drawscale, 1.7 * \drawscale) node{}
  -- (1.55 * \drawscale, 1.7 * \drawscale);
  % Left green and red lines.
  \draw[
    draw = green, line width = \sidelinewidth
  ] (-1.7 * \drawscale, 1.55 * \drawscale) node{}
  -- (-1.7 * \drawscale, -0.47 * \drawscale);
  \draw[
    draw = red, line width = \sidelinewidth
  ] (-1.7 * \drawscale, -0.55 * \drawscale) node{}
  -- (-1.7 * \drawscale, -1.55 * \drawscale);
  % Matrix.
  \node[
    matrix, draw = black, line width = \matrixlinewidth,
    inner sep = \matrixinnersep, column sep = 3mm, row sep = 3mm
  ] (FB) at (0, 0) {
    \draw[
      submatrix, pattern = dense, pattern color = green
    ] (0, 0) rectangle ++(2 * \drawscale, 2 * \drawscale);
    \node[submatrixlabel] (Avv) at (1 * \drawscale, 1 * \drawscale) {
      $A_{vv}$ \\ [-2mm]
      {\tiny\phantom{\textit{\textbf{creuse}}}}
    }; & 
    \draw[
      submatrix, pattern = dense,
    ] (0, 0) rectangle ++(1 * \drawscale, 2 * \drawscale);
    \node[submatrixlabel] (AsvT) at (0.5 * \drawscale, 1 * \drawscale) {
      $A_{sv}^T$ \\ [-2mm]
      {\tiny\phantom{\textit{\textbf{creuse}}}}
    }; \\
    \draw[
      submatrix, pattern = dense,
    ] (0, 0) rectangle ++(2 * \drawscale, 1 * \drawscale);
    \node[submatrixlabel] (Asv) at (1 * \drawscale, 0.5 * \drawscale) {
      $A_{sv}$ \\ [-2mm]
      {\tiny\phantom{\textit{\textbf{creuse}}}}
    }; &
    \draw[
      submatrix, pattern = dense, pattern color = red
    ] (0, 0) rectangle ++(1 * \drawscale, 1 * \drawscale);
    \node[submatrixlabel] (Ass) at (0.5 * \drawscale, 0.5 * \drawscale) {
      $A_{ss}$ \\ [-2mm]
      {\tiny\phantom{\textit{\textbf{dense}}}}
    }; \\
  };
\end{tikzpicture}
\end{document}
